searchNodes=[{"type":"task","title":"Mix.Tasks.TreeSitter","doc":"Invokes tree_sitter with the given args. Usage: $ mix tree_sitter TASK_OPTIONS PROFILE TREE_SITTER_ARGS Example: $ mix tree_sitter default assets/js/app.js --bundle --minify --target=es2016 --outdir=priv/static/assets If tree_sitter is not installed, it is automatically downloaded. Note the arguments given to this task will be appended to any configured arguments. Options --runtime-config - load the runtime configuration before executing command Note flags to control this Mix task must be given before the profile: $ mix tree_sitter --runtime-config default assets/js/app.js","ref":"Mix.Tasks.TreeSitter.html"},{"type":"task","title":"Mix.Tasks.TreeSitter.Install","doc":"Installs tree_sitter under _build . $ mix tree_sitter.install $ mix tree_sitter.install --if-missing By default, it installs 0.20.8 but you can configure it in your config files, such as: config :tree_sitter , :version , &quot;0.20.8&quot; Options * ` -- runtime - config ` - load the runtime configuration before executing command * ` -- if - missing ` - install only if the given version does not exist","ref":"Mix.Tasks.TreeSitter.Install.html"},{"type":"module","title":"TreeSitter","doc":"TreeSitter is an installer and runner for tree_sitter . TreeSitter configuration There are two global configurations for the tree_sitter application: :version - the expected tree_sitter version :cacerts_path - the directory to find certificates for https connections :path - the path to find the tree_sitter executable at. By default, it is automatically downloaded and placed inside the _build directory of your current app Overriding the :path is not recommended, as we will automatically download and manage tree-sitter for you. But in case you can't download it (for example, the npm registry is behind a proxy), you may want to set the :path to a configurable system location. For instance, you can install tree-sitter globally with npm : $ npm install -g tree-sitter On Unix, the executable will be at: NPM_ROOT / tree - sitter / node_modules / @tree - sitter / TARGET / bin / tree_sitter On Windows, it will be at: NPM_ROOT / tree - sitter / node_modules / @tree - sitter / win32 - x ( 32 | 64 ) / tree_sitter . exe Where NPM_ROOT is the result of npm root -g and TARGET is your system target architecture. Once you find the location of the executable, you can store it in a MIX_TREE_SITTER_PATH environment variable, which you can then read in your configuration file: config :tree_sitter , path : System . get_env ( &quot;MIX_TREE_SITTER_PATH&quot; )","ref":"TreeSitter.html"},{"type":"function","title":"TreeSitter.bin_path/0","doc":"Returns the path to the executable. The executable may not be available if it was not yet installed.","ref":"TreeSitter.html#bin_path/0"},{"type":"function","title":"TreeSitter.bin_version/0","doc":"Returns the version of the tree_sitter executable. Returns {:ok, version_string} on success or :error when the executable is not available.","ref":"TreeSitter.html#bin_version/0"},{"type":"function","title":"TreeSitter.configured_version/0","doc":"Returns the configured tree_sitter version.","ref":"TreeSitter.html#configured_version/0"},{"type":"function","title":"TreeSitter.highlight_html/2","doc":"","ref":"TreeSitter.html#highlight_html/2"},{"type":"function","title":"TreeSitter.install/0","doc":"Installs tree_sitter with configured_version/0 .","ref":"TreeSitter.html#install/0"},{"type":"function","title":"TreeSitter.install_and_run/1","doc":"Installs, if not available, and then runs tree_sitter . Returns the same as run/1 .","ref":"TreeSitter.html#install_and_run/1"},{"type":"function","title":"TreeSitter.language_to_extension/0","doc":"","ref":"TreeSitter.html#language_to_extension/0"},{"type":"function","title":"TreeSitter.run/1","doc":"Runs the given command with args . The given args will be appended to the configured args. The task output will be streamed directly to stdio. It returns the status of the underlying call.","ref":"TreeSitter.html#run/1"}]